Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5237 - sndconfig with working soundconfiguration makes hard reboot necesarry
Summary: sndconfig with working soundconfiguration makes hard reboot necesarry
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sndconfig
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-20 09:18 UTC by Trond Eivind Glomsrød
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-23 19:23:02 UTC


Attachments (Terms of Use)

Description Trond Eivind Glomsrød 1999-09-20 09:18:00 UTC
sndconfig-0.37-3

Running sndconfig when sound modules are already loaded does
bad things to the system (hard reboot necesarry).

Comment 1 Bill Nottingham 1999-09-20 14:57:59 UTC
Hmm... it should clean out the modules before it tries to
load any new ones... what sort of errors do you get?

Comment 2 Trond Eivind Glomsrød 1999-09-22 09:04:59 UTC
No errors - it just stops responding (you can switch VCs, but any
login attempt or command will hang) after you've pressed enter at the
"detected soundcard" screen (which it has detected correctly)

Comment 3 Bill Nottingham 1999-09-22 14:23:59 UTC
Is this on the same machine that locks up with pnpdump, or is
this a different machine?

Comment 4 Trond Eivind Glomsrød 1999-09-22 14:47:59 UTC
No, this is a brand-new workstation (PIII) I use at work. Compaq
Deskpro. Different card, too - 1868 vs 1869. sndconfig had no problem
finding and using this soundcard when I installed RH 6.0 (it now has
all packages as of now from the snapshot of 6.1beta).

Comment 5 Bill Nottingham 1999-09-22 14:54:59 UTC
Grumble.

OK, this is between the 'Found a ESS1868' and the
'Sound Card Test' dialogs?  That's a really bizarre place
for it to lock up.

1) can you run 'pnpdump -c' without it locking
2) if so, could you build a debugging version of sndconfig
and let me know where it's locking?

Comment 6 Bill Nottingham 1999-09-22 14:55:59 UTC
Also, just for curiousity's sake, what does /proc/interrupts &
/proc/ioports look like?
(BTW, if you need a debugging version of sndconfig, I can send
you one...)Also, just for curiousity's sake, what does /proc/interrupts &
/proc/ioports look like?
(BTW, if you need a debugging version of sndconfig, I can send
you one...)

Comment 7 Trond Eivind Glomsrød 1999-09-22 15:03:59 UTC
Here are /proc/interrupts and /proc/ioports

janus:~% cat /proc/interrupts
           CPU0
  0:     172831          XT-PIC  timer
  1:       3358          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:          1          XT-PIC  soundblaster
  8:          1          XT-PIC  rtc
 11:       8108          XT-PIC  Intel EtherExpress Pro 10/100
Ethernet
 12:      17133          XT-PIC  PS/2 Mouse
 13:          1          XT-PIC  fpu
 14:      88936          XT-PIC  ide0
 15:         88          XT-PIC  ide1
NMI:          0
janus:~% cat /proc/ioports
0000-001f : dma1
0020-003f : pic1
0040-005f : timer
0060-006f : keyboard
0070-007f : rtc
0080-008f : dma page reg
00a0-00bf : pic2
00c0-00df : dma2
00f0-00ff : fpu
0170-0177 : ide1
01f0-01f7 : ide0
0220-022f : soundblaster
0330-0333 : MPU-401 UART
0376-0376 : ide1
0388-038b : Yamaha OPL3
03c0-03df : vga+
03f6-03f6 : ide0
1000-101f : Intel Speedo3 Ethernet
1040-1047 : ide0
1048-104f : ide1

Comment 8 Trond Eivind Glomsrød 1999-09-22 15:09:59 UTC
Please send me the debugging sndconfig. pnpdump doesn't finish:
# $Id: pnpdump.c,v 1.18 1999/02/14 22:47:18 fox Exp $
# This is free software, see the sources for details.
# This software has NO WARRANTY, use at your OWN RISK
#
# For details of this file format, see isapnp.conf(5)
#
# For latest information and FAQ on isapnp and pnpdump see:
# http://www.roestock.demon.co.uk/isapnptools/
#
# Compiler flags: -DREALTIME -DNEEDSETSCHEDULER -DABORT_ONRESERR
#
# Trying port address 0203
# Board 1 has serial identifier d7 ff ff ff ff 03 00 73 16

# (DEBUG)
(READPORT 0x0203)
(ISOLATE PRESERVE)
(IDENTIFY *)
(VERBOSITY 2)
(CONFLICT (IO FATAL)(IRQ FATAL)(DMA FATAL)(MEM FATAL)) # or WARNING

Comment 9 Trond Eivind Glomsrød 1999-09-22 15:10:59 UTC
and it locks up, just like the other sndconfig - ctrl-c fixes it

Comment 10 Trond Eivind Glomsrød 1999-09-22 15:14:59 UTC
This is what pnpdump -c gives in single mode (with sound modules
unloaded - if they're loaded, it hangs):
# $Id: pnpdump.c,v 1.18 1999/02/14 22:47:18 fox Exp $
# This is free software, see the sources for details.
# This software has NO WARRANTY, use at your OWN RISK
#
# For details of this file format, see isapnp.conf(5)
#
# For latest information and FAQ on isapnp and pnpdump see:
# http://www.roestock.demon.co.uk/isapnptools/
#
# Compiler flags: -DREALTIME -DNEEDSETSCHEDULER -DABORT_ONRESERR
#
# Trying port address 0203
# Board 1 has serial identifier d7 ff ff ff ff 03 00 73 16

# (DEBUG)
(READPORT 0x0203)
(ISOLATE PRESERVE)
(IDENTIFY *)
(VERBOSITY 2)
(CONFLICT (IO FATAL)(IRQ FATAL)(DMA FATAL)(MEM FATAL)) # or WARNING

# Card 1: (serial identifier d7 ff ff ff ff 03 00 73 16)
# Vendor Id ESS0003, No Serial Number (-1), checksum 0xD7.
# Version 1.0, Vendor version 3.0
# ANSI string -->ESS ES1869 Plug and Play AudioDrive<--
#
# Logical device id ESS0006
#     Device supports vendor reserved register @ 0x3d
#     Device supports vendor reserved register @ 0x3e
#
# Edit the entries below to uncomment out the configuration required.
# Note that only the first value of any range is given, this may be
changed if required
# Don't forget to uncomment the activate (ACT Y) when happy

(CONFIGURE ESS0003/-1 (LD 0
#     Logical device decodes 16 bit IO address lines
#         Minimum IO base address 0x0800
#         Maximum IO base address 0x0ff8
#         IO base alignment 8 bytes
#         Number of IO addresses required: 8
  (IO 0 (SIZE 8) (BASE 0x0800))
 (NAME "ESS0003/-1[0]{ESS ES1869 Plug and Play AudioDrive}")
  (ACT Y)
))
#
# Logical device id ESS1869
#     Device supports vendor reserved register @ 0x3d
#     Device supports vendor reserved register @ 0x3e
#
# Edit the entries below to uncomment out the configuration required.
# Note that only the first value of any range is given, this may be
changed if required
# Don't forget to uncomment the activate (ACT Y) when happy

(CONFIGURE ESS0003/-1 (LD 1

# Multiple choice time, choose one only !

#     Start dependent functions: priority preferred
#       First DMA channel 1.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed in compatible mode
  (DMA 0 (CHANNEL 1))
#       Next DMA channel 0 or 3.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed in compatible mode
  (DMA 1 (CHANNEL 0))
#       IRQ 5.
#             High true, edge sensitive interrupt (by default)
  (INT 0 (IRQ 5 (MODE +E)))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0220
#             Maximum IO base address 0x0220
#             IO base alignment 0 bytes
#             Number of IO addresses required: 16
  (IO 0 (SIZE 16) (BASE 0x0220))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0388
#             Maximum IO base address 0x0388
#             IO base alignment 0 bytes
#             Number of IO addresses required: 4
  (IO 1 (SIZE 4) (BASE 0x0388))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0330
#             Maximum IO base address 0x0330
#             IO base alignment 0 bytes
#             Number of IO addresses required: 2
  (IO 2 (SIZE 2) (BASE 0x0330))

#       Start dependent functions: priority acceptable
#       First DMA channel 1.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed in compatible mode
# (DMA 0 (CHANNEL 1))
#       Next DMA channel 0 or 3.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed in compatible mode
# (DMA 1 (CHANNEL 0))
#       IRQ 5, 7, 9, 10, 11 or 12.
#             High true, edge sensitive interrupt (by default)
# (INT 0 (IRQ 5 (MODE +E)))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0220
#             Maximum IO base address 0x0280
#             IO base alignment 32 bytes
#             Number of IO addresses required: 16
# (IO 0 (SIZE 16) (BASE 0x0220))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0388
#             Maximum IO base address 0x0388
#             IO base alignment 0 bytes
#             Number of IO addresses required: 4
# (IO 1 (SIZE 4) (BASE 0x0388))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0300
#             Maximum IO base address 0x0330
#             IO base alignment 48 bytes
#             Number of IO addresses required: 2
# (IO 2 (SIZE 2) (BASE 0x0300))

#       Start dependent functions: priority acceptable
#       First DMA channel 0, 1 or 3.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed in compatible mode
# (DMA 0 (CHANNEL 0))
#       Next DMA channel 0, 1 or 3.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed in compatible mode
# (DMA 1 (CHANNEL 0))
#       IRQ 5, 7, 9, 10, 11 or 12.
#             High true, edge sensitive interrupt (by default)
# (INT 0 (IRQ 5 (MODE +E)))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0220
#             Maximum IO base address 0x0280
#             IO base alignment 32 bytes
#             Number of IO addresses required: 16
# (IO 0 (SIZE 16) (BASE 0x0220))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0388
#             Maximum IO base address 0x0388
#             IO base alignment 0 bytes
#             Number of IO addresses required: 4
# (IO 1 (SIZE 4) (BASE 0x0388))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0300
#             Maximum IO base address 0x0330
#             IO base alignment 48 bytes
#             Number of IO addresses required: 2
# (IO 2 (SIZE 2) (BASE 0x0300))

#       Start dependent functions: priority acceptable
#       First DMA channel 0, 1 or 3.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed in compatible mode
# (DMA 0 (CHANNEL 0))
#       Next DMA channel 0, 1 or 3.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed in compatible mode
# (DMA 1 (CHANNEL 0))
#       IRQ 5, 7, 9, 10, 11 or 12.
#             High true, edge sensitive interrupt (by default)
# (INT 0 (IRQ 5 (MODE +E)))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0220
#             Maximum IO base address 0x0280
#             IO base alignment 32 bytes
#             Number of IO addresses required: 16
# (IO 0 (SIZE 16) (BASE 0x0220))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0388
#             Maximum IO base address 0x0388
#             IO base alignment 0 bytes
#             Number of IO addresses required: 4
# (IO 1 (SIZE 4) (BASE 0x0388))

#       Start dependent functions: priority functional
#       First DMA channel 0, 1 or 3.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed in compatible mode
# (DMA 0 (CHANNEL 0))
#       Next DMA channel 0, 1 or 3.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed in compatible mode
# (DMA 1 (CHANNEL 0))
#       IRQ 5, 7, 9, 10, 11 or 12.
#             High true, edge sensitive interrupt (by default)
# (INT 0 (IRQ 5 (MODE +E)))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0220
#             Maximum IO base address 0x0280
#             IO base alignment 32 bytes
#             Number of IO addresses required: 16
# (IO 0 (SIZE 16) (BASE 0x0220))

#     End dependent functions
 (NAME "ESS0003/-1[1]{ESS ES1869 Plug and Play AudioDrive}")
  (ACT Y)
))
# End tag... Checksum 0x00 (OK)

# Returns all cards to the "Wait for Key" state
(WAITFORKEY)

Comment 11 Bill Nottingham 1999-09-23 19:23:59 UTC
fixed in sndconfig-0.37-4, isapnptools-1.18b-2.


Note You need to log in before you can comment on or make changes to this bug.